## org.eclipse.amp.amf.ide.repast
Class RepastModelBuilder

    java.lang.Object
      org.eclipse.core.internal.events.InternalBuilder
          org.eclipse.core.resources.IncrementalProjectBuilder
              org.eclipse.amp.amf.gen.ide.AbstractMWEBuilder
                  org.eclipse.amp.amf.gen.ide.MetaABMBuilder
                      org.eclipse.amp.amf.ide.repast.RepastModelBuilder

All Implemented Interfaces:
  org.eclipse.core.runtime.IExecutableExtension

    public class RepastModelBuilder

extends MetaABMBuilder

Field Summary
`static java.lang.String` `REPAST_BUILDER_ID`

Fields inherited from class org.eclipse.amp.amf.gen.ide.MetaABMBuilder
`BUILDER_ID`

Fields inherited from class org.eclipse.core.resources.IncrementalProjectBuilder
`AUTO_BUILD, CLEAN_BUILD, FULL_BUILD, INCREMENTAL_BUILD`

Constructor Summary
`RepastModelBuilder()`

Method Summary
`void` `generateModel(org.eclipse.core.resources.IResource resource)`
`static RepastModelBuilder` `getRepastBuilderDefault()` Returns the shared instance

Methods inherited from class org.eclipse.amp.amf.gen.ide.MetaABMBuilder
`getBaseBuilderDefault, isCreateMarkers, loadPlugins, loadPropertiesFromPrefs, loadPropertiesFromResource, setCreateMarkers`

Methods inherited from class org.eclipse.amp.amf.gen.ide.AbstractMWEBuilder
`addURL, getGenProperties, getResourceLoader, handleModifiedResource, isReportErrors, setCurrentMonitor, setGenProperties, setReportErrors`

Methods inherited from class org.eclipse.core.resources.IncrementalProjectBuilder
`forgetLastBuiltState, getCommand, getDelta, getProject, getRule, getRule, hasBeenBuilt, isInterrupted, needRebuild, setInitializationData`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### REPAST_BUILDER_ID

    public static final java.lang.String REPAST_BUILDER_ID

See Also:
  Constant Field Values

Constructor Detail

### RepastModelBuilder

    public RepastModelBuilder()

Method Detail

### generateModel

    public void generateModel(org.eclipse.core.resources.IResource resource)

  Overrides:
    `generateModel` in class `AbstractMWEBuilder`

### getRepastBuilderDefault

    public static RepastModelBuilder getRepastBuilderDefault()

  Returns the shared instance

  Returns:
    the shared instance